import * as wjcXlsx from 'wijmo/wijmo.xlsx';
import * as JSZip from 'jszip';
wjcXlsx.useJSZip(JSZip);

import * as wjcCore from 'wijmo/wijmo';
import * as wjcGrid from 'wijmo/wijmo.grid';
import * as wjcInput from 'wijmo/wijmo.input';
import * as wjcGridXlsx from 'wijmo/wijmo.grid.xlsx';

// Angular
import { Component, EventEmitter, Input, Inject, enableProdMode, NgModule, ViewChild, TemplateRef, ElementRef } from '@angular/core';
import { FormsModule } from '@angular/forms';
import { CommonModule } from '@angular/common';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { BrowserModule } from '@angular/platform-browser';
import { WjGridModule } from 'wijmo/wijmo.angular2.grid';
import { WjInputModule } from 'wijmo/wijmo.angular2.input';
import { WjGridFilterModule } from 'wijmo/wijmo.angular2.grid.filter';
import { ServerCollectionView } from './components/ServerCollectionView';

'use strict';

// The application root component.
@Component({
    selector: 'app-cmp',
    templateUrl: 'src/app.html',
})

export class AppCmp {
    view: ServerCollectionView;

    @ViewChild('grid') grid: wjcGrid.FlexGrid;
    @ViewChild('load') load: wjcInput.Popup;
    @ViewChild('export') export: ElementRef;

    // private

    constructor() {
        this.view = new ServerCollectionView('DataHandler.ashx', {
            filterOnServer: true
        });
    }

    ngAfterViewInit() {
        
    }

    exportToExcel(e) {
        wjcGridXlsx.FlexGridXlsxConverter.saveAsync(this.grid, {
            includeColumnHeaders: true
        }, 'grid.xlsx');
    }
}

@NgModule({
    imports: [WjInputModule, WjGridModule, WjGridFilterModule, BrowserModule, FormsModule],
    declarations: [AppCmp],
    bootstrap: [AppCmp]
})
export class AppModule {
}


enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
